#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    int a, b, c, d;
    cin >> n >> a >> b >> c >> d;
    for(int i = 0; i < n; i++) {
        string s;
        int x;
        cin >> s >> x;
    }
    cout << "nemoguce";
}